ubuntu/+source/libnih:ubuntu/quantal-devel

Last commit made on 2012-10-04
Get this branch:
git clone -b ubuntu/quantal-devel https://git.launchpad.net/ubuntu/+source/libnih
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/quantal-devel
Repository:
lp:ubuntu/+source/libnih

Recent commits

d6c73b8... by James Hunt on 2012-10-03

Import patches-unapplied version 1.0.3-4ubuntu11 to ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: ccd690295cfc67e9f4b326ef2161592af275e43e

New changelog entries:
  * Addition of debian/libnih-dbus1.postinst and
    debian/libnih1.postinst to force Upstart re-exec on shutdown
    to avoid unmounting disks uncleanly (LP: #740390).

ccd6902... by Wookey on 2012-10-01

Import patches-unapplied version 1.0.3-4ubuntu10 to ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 76212c8eb16da248c9aca83005c6a56467524ff1

New changelog entries:
  * Update config.guess,sub for aarch64

76212c8... by Steve Langasek on 2012-02-16

Import patches-unapplied version 1.0.3-4ubuntu9 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 403ae017d037f005e925d50c0f875efbd53b9a98

New changelog entries:
  * Mark the nih-dbus-tool package Multi-Arch: foreign so it can be used as
    a build-dependency of upstart when cross-building.

403ae01... by Steve Langasek on 2012-02-10

Import patches-unapplied version 1.0.3-4ubuntu8 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: c991d3106a3a9e1b429bdc9fae61e56e955234f3

New changelog entries:
  * libnih1 needs a versioned Pre-Depend on libc6 instead of just a Depend,
    because libc6 itself uses runlevel from the upstart package in its
    preinst, which in turn uses libnih1, which needs to be loadable (i.e.,
    its symbol references resolve). We therefore need to ensure that
    libnih1's dependencies are always unpacked before libnih1 itself is
    unpacked. While having something further up the stack (such as upstart,
    or something on top of upstart) being marked Essential: yes and with the
    necessary pre-depends would let apt handle this for us with its
    "immediate configuration" support, but for various reasons we don't want
    to make upstart essential. LP: #508083.

c991d31... by Matthias Klose on 2012-02-08

Import patches-unapplied version 1.0.3-4ubuntu7 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 1cd579aed88d219d25acdd533c580dc59d5f7305

New changelog entries:
  * Relax dependency on libc6.

1cd579a... by Matthias Klose on 2012-02-08

Import patches-unapplied version 1.0.3-4ubuntu6 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 544c863555a50e23cea50d03dd1871082891db63

New changelog entries:
  * Rebuild with libc6-dev (>= 2.15~).

544c863... by Steve Langasek on 2011-11-06

Import patches-unapplied version 1.0.3-4ubuntu5 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 32efccb562069e82fb46caf91c50d4bc53b4dba4

New changelog entries:
  * Mark libnih-dev and libnih-dbus-dev Multi-Arch: same as well.

32efccb... by James Hunt on 2011-11-01

Import patches-unapplied version 1.0.3-4ubuntu4 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: d06ed8245d62454d9196ddc540068a504843065b

New changelog entries:
  * Make libnih1 and libnih-dbus1 installable using multi-arch.

d06ed82... by Matthias Klose on 2011-10-14

Import patches-unapplied version 1.0.3-4ubuntu3 to ubuntu/precise

Imported using git-ubuntu import.

Changelog parent: 3131e6d1b64f68a3707fadfd887d8f5120e70ca1

New changelog entries:
  * Build to install with eglibc-2.15.

3131e6d... by Matthias Klose on 2011-06-15

Import patches-unapplied version 1.0.3-4ubuntu2 to ubuntu/oneiric

Imported using git-ubuntu import.

Changelog parent: 6b7dfef4b1bc0d99605bfb2c8d4bd8dae77871e1

New changelog entries:
  * Use dpkg-buildflags to get the build flags.
  * Build with the default build flags, don't hard-code -Os. LP: #791315.